#include "gen.h"

void gen( int argc, char *argv[] )
{
  assert(argc == 1);
  int nn = atoi(argv[0]);
  int maxw = 1000000000;
  int w = maxw / (2 * nn);
  for (int i = 0; i < nn; i++)
    s[n] = i * w, t[n++] = 2 * (nn - i) * w;
}
